#include <algorithm>
#include <iostream>
#include <cstdlib>
#include <cstdarg>
#include <cassert>
#include <climits>
#include <cstring>
#include <complex>
#include <cstdio>
#include <vector>
#include <string>
#include <queue>
#include <cmath>
#include <ctime>
#include <set>
#include <map>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> pi;
typedef vector<int> vi;


#define all(c) (c).begin(),(c).end()
#define sz(c) (int)(c).size()

#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define x first
#define y second
#define y1 y1_gdssdfjsdgf
#define y0 y0_fsdjfsdogfs
#define ws ws_fdfsdfsdgfs
#define image(a) {sort(all(a)),a.resize(unique(all(a))-a.begin());}
#define eprintf(...) {fprintf(stderr,__VA_ARGS__),fflush(stderr);}

#define forn(i,n) for( int i = 0 ; i < (n) ; i++ )
#define forit(it,c) for( __typeof((c).begin()) it = (c).begin() ; it != (c).end() ; it++ )
#define problem_name "a"
int was[1000000];
int sum[1000000];

int main(){
  #ifdef home
  assert(freopen(problem_name".out","wt",stdout));
  assert(freopen(problem_name".in","rt",stdin));
  #endif
  int A, B, n;
  cin >> A >> B >> n;
  assert(max(B, n) <= 1e3);
  for (int i = 0; i < n; i++) {
    int x;
    cin >> x;
    //assert(x <= 2e5);
    x %= B;
    if (x > 0) {
      x -= B;
    }
    was[-x]++;
  }
  sum[0] = 0;
  for (int i = 0; i <= B + A; i++) {
    sum[i + 1] = sum[i] + was[i % B];
  }
  pair<int, int> ans = mp(1e9, -1);
  for (int i = 0; i < B; i++) {
    ans = min(ans, mp(sum[i + A] - sum[i], i));
  }
  cout << ans.y << " " << ans.x << endl;
  return 0;
}
