#include <iostream>
#include <vector>

int main() {
    int a, b, n;
    std::cin >> a >> b >> n;
    
    int max_pos = 5000;
    std::vector<int> count(max_pos, 0);
    
    for (int i = 0; i != n; ++i) {
        int curr;
        std::cin >> curr;
        ++count.at(curr);
    }
    
    int best_shift = 0, best_sum = 1000000000;
    
    for (int shift = 0; shift != b; ++shift) {
        std::vector<int> copy = count;
        int sum = 0, pos = -shift;
        
        while (pos < max_pos) {
            for (int i = 0; i != a; ++i) {
                sum += copy.at(pos - i);
                copy.at(pos - i) = 0;
            }
            pos += b;
        }
        
        if (best_sum > sum) {
            best_sum = sum;
            best_shift = shift;
        }
    }
    
    std::cout << best_shift << ' ' << best_sum << '\n';
    return 0;
}
