#include <iostream>
#include <numeric>
#include <vector>

int main() {
    int a, b, n;
    std::cin >> a >> b >> n;
    
    std::vector<int> count(b, 0);
    
    for (int i = 0; i != n; ++i) {
        int curr;
        std::cin >> curr;
        ++count[b - (curr - 1) % b - 1];
    }
    
    int curr_sum = std::accumulate(count.begin(), count.begin() + a, 0);
    int ans = 0, best = curr_sum;
    
    for (int i = 1; i != b; ++i) {
        curr_sum += count[(i + a - 1) % b] - count[i - 1];
        if (curr_sum < best) {
            best = curr_sum;
            ans = i;
        }
    }
    
    std::cout << ans << ' ' << best << '\n';
    return 0;
}
