#include <bits/stdc++.h>

using namespace std;

class Solve {
    vector<int32_t> arr;
    size_t size;
 public:

    explicit Solve(size_t size_):
       size(size_), arr(vector<int32_t> (size_)) 
    {}

    void Add(int index, int add) {
        arr[index % size] += add;
    }

    pair<int, int> GetAnswer(int32_t length_foot) {
        pair <int, int> answer, rival;
        for (int index = 0; index < length_foot; ++index) {
             answer.first += arr[(size - index) % size];
        }
        rival = answer;
        for (size_t shift = 1; shift < size; ++shift) {
            rival.second = shift; 
            rival.first += arr[(2 * size - shift - length_foot + 1) % size] - arr[(size - shift + 1) % size];
            if (rival < answer) {
                answer = rival;   
            }
        }
        return answer;
    }
    
};

int main() {
#ifdef _DEBUG
    assert(freopen("input.txt", "r", stdin) != NULL);
    assert(freopen("output.txt", "w", stdout) != NULL);
#endif
    int32_t length_foot, step_size, number;
    cin >> length_foot >> step_size >> number;
    Solve solve(step_size);
    for (int index = 0; index < number; ++index) {
        int element;
        cin >> element;
        solve.Add(element, 1);
    }
    pair<int, int> answer = solve.GetAnswer(length_foot);
    cout << answer.second << ' ' << answer.first << endl;
    return 0;
}
