#include <iostream>
#include <numeric>
#include <vector>

int main() {
    int a, b, n;
    std::cin >> a >> b >> n;
    
    std::vector<int> points(n);
    
    for (int i = 0; i != n; ++i) {
        std::cin >> points[i];
    }
    
    int best_shift = 0, best_sum = 1000000000;
    
    for (int shift = 0; shift != b; ++shift) {
        int sum = 0;
        
        for (int i = 0; i != n; ++i) {
            if ((b - (points[i] - 1) % b - 1 - shift + b) % b <= a) {
                ++sum;
            }
        }
        
        if (best_sum > sum) {
            best_sum = sum;
            best_shift = shift;
        }
    }
    
    std::cout << best_shift << ' ' << best_sum << '\n';
    return 0;
}
